[jira] [Commented] (GROOVY-8305) Error trying to grab a dependency available in local m2 repo when using the default Ivy settings file provided by Groovy

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (GROOVY-8305) Error trying to grab a dependency available in local m2 repo when using the default Ivy settings file provided by Groovy

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/GROOVY-8305?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16155411#comment-16155411 ]

ASF GitHub Bot commented on GROOVY-8305:
----------------------------------------

Github user lhein commented on a diff in the pull request:

    https://github.com/apache/groovy/pull/597#discussion_r137279308
 
    --- Diff: src/resources/groovy/grape/defaultGrapeConfig.xml ---
    @@ -26,7 +26,7 @@
             <ivy pattern="${user.home}/.groovy/grapes/[organisation]/[module]/ivy-[revision].xml"/>
             <artifact pattern="${user.home}/.groovy/grapes/[organisation]/[module]/[type]s/[artifact]-[revision](-[classifier]).[ext]"/>
           </filesystem>
    -      <ibiblio name="localm2" root="file:${user.home}/.m2/repository/" checkmodified="true" changingPattern=".*" changingMatcher="regexp" m2compatible="true"/>
    +      <ibiblio name="localm2" root="file:/${user.home}/.m2/repository/" checkmodified="true" changingPattern=".*" changingMatcher="regexp" m2compatible="true"/>
    --- End diff --
   
    besides that the change works on my fedora machine.


> Error trying to grab a dependency available in local m2 repo when using the default Ivy settings file provided by Groovy
> ------------------------------------------------------------------------------------------------------------------------
>
>                 Key: GROOVY-8305
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8305
>             Project: Groovy
>          Issue Type: Bug
>          Components: Grape
>    Affects Versions: 2.4.12
>            Reporter: AurĂ©lien Pupier
>
> the default Ivy settings file used is:
> https://github.com/apache/groovy/blob/183b8fbf0248a2dceffbba684e50c3c2c060e46c/src/resources/groovy/grape/defaultGrapeConfig.xml#L29
> it contains:
> {quote}<ibiblio name="localm2" root="file:$\{user.home\}/.m2/repository/"{quote}
> which leads to this kind of error on windows when the file is available in the local m2 repo:
> {quote}:: downloading artifacts ::
> Preparing to download artifact org.apache.camel#camel-catalog-provider-karaf;2.19.2!camel-catalog-provider-karaf.jar
> trying file:C:\Users\Aurelien Pupier/.m2/repository/org/apache/camel/camel-catalog-provider-karaf/2.19.2/camel-catalog-provider-karaf-2.19.2.jar
> tried file:C:\Users\Aurelien Pupier/.m2/repository/org/apache/camel/camel-catalog-provider-karaf/2.19.2/camel-catalog-provider-karaf-2.19.2.jar
> downloading file:C:/Users/Aurelien Pupier/.m2/repository/org/apache/camel/camel-catalog-provider-karaf/2.19.2/camel-catalog-provider-karaf-2.19.2.jar ...
> localm2: downloading file:C:/Users/Aurelien Pupier/.m2/repository/org/apache/camel/camel-catalog-provider-karaf/2.19.2/camel-catalog-provider-karaf-2.19.2.jar
> to C:\Users\Aurelien Pupier\.groovy\grapes\org.apache.camel\camel-catalog-provider-karaf\jars\camel-catalog-provider-karaf-2.19.2.jar.part
> java.lang.IllegalArgumentException: Invalid uri 'file:C:/Users/Aurelien Pupier/.m2/repository/org/apache/camel/camel-catalog-provider-karaf/2.19.2/camel-catalog-provider-karaf-2.19.2.jar': incorrect path{quote}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)